<?php
namespace FM\Factory;

use Doctrine\ORM\EntityManager;
use FM\Traits\TQuery;

class ServicosFactory {

    use TQuery;

    protected $connection;

    protected $entityManager;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }

    public function getInformacoesServico() {

        $sql = "SELECT CDSERVORCA, NMSERVORCA, DSSERVORCA, IDATIVO
                    FROM FCT_SERVICOORCA
                    ORDER BY CDSERVORCA DESC";
        
        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }
 /*
    public function getProdFaturamento() {

        $sql = "SELECT CDPRODUTO,
                            CDARVPROD,
                            NMPRODUTO,
                            NRORG
                    FROM   PRODUTO
                    WHERE  CDNVPRODUTO = (SELECT MAX(CDNVPRODUTO)
                                        FROM   PRODUTO)";
        
        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }

    public function inserirServico($parametros) {

        $sql = " INSERT INTO  FCT_SERVICOORCA (CDSERVORCA, NMSERVORCA, DSSERVORCA, CDPRODFATSERV, DTINCLUSAO,
                    NRORG, CDOPERINCLUSAO, IDATIVO)
                    VALUES (:CDSERVORCA, :NMSERVORCA, :DSSERVORCA, :CDPRODFATSERV, SYSDATE,
                    :NRORG, :CDOPERINCLUSAO, :IDATIVO)";
        
        $std = $this->connection->prepare($sql);
        $std->execute($parametros);
    }

    public function atualizarServico($parametros) {

        $sql = "UPDATE FCT_SERVICOORCA
                    SET IDATIVO = :IDATIVO,
                        CDOPERULTATU = :CDOPERULTATU,
                        NMSERVORCA = :NMSERVORCA,
                        DTULTATU = SYSDATE,
                        DSSERVORCA = :DSSERVORCA
                    WHERE CDSERVORCA = :CDSERVORCA";
                    
        $std = $this->connection->prepare($sql);
        $std->execute($parametros);
    }

    public function deletarServicos($parametro) {
        
        $sql = "DELETE FROM FCT_SERVICOORCA
                    WHERE CDSERVORCA = :CDSERVORCA";
        
        $std = $this->connection->prepare($sql);
        $std->execute($parametro);
    }
    */
}